unit Unit1;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.StdCtrls,
  FMX.Controls.Presentation, FMX.Layouts, FMX.ScrollBox, FMX.Memo,
  bsHL7Object,SampleUnit,IOUtils;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    bMessageCreate: TButton;
    bCreateMessagePath: TButton;
    bParseMessage: TButton;
    bParseMessagePath: TButton;
    bMessageCreateAdv: TButton;
    bCreateMessagePathAdv: TButton;
    bParseMessageAdv: TButton;
    bParseMessagePathAdv: TButton;
    bCreateCustomMessage: TButton;
    bCreateCustomMessageWithPath: TButton;
    bParseCustomMessage: TButton;
    bParseCustomMessageWithPath: TButton;
    bClose: TButton;
    chkAsXML: TCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure bMessageCreateClick(Sender: TObject);
    procedure bCreateMessagePathClick(Sender: TObject);
    procedure bParseMessageClick(Sender: TObject);
    procedure bParseMessagePathClick(Sender: TObject);
    procedure bMessageCreateAdvClick(Sender: TObject);
    procedure bCreateMessagePathAdvClick(Sender: TObject);
    procedure bParseMessageAdvClick(Sender: TObject);
    procedure bParseMessagePathAdvClick(Sender: TObject);
    procedure bCreateCustomMessageClick(Sender: TObject);
    procedure bCreateCustomMessageWithPathClick(Sender: TObject);
    procedure bParseCustomMessageClick(Sender: TObject);
    procedure bParseCustomMessageWithPathClick(Sender: TObject);
    procedure bCloseClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}

procedure TForm1.bCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TForm1.bCreateCustomMessageClick(Sender: TObject);
begin

  CreateCustomMessage(Memo1,chkAsXML.IsChecked);
end;

procedure TForm1.bCreateCustomMessageWithPathClick(Sender: TObject);
begin
  CreateCustomMessageWithPath(Memo1, chkAsXML.IsChecked);
end;

procedure TForm1.bCreateMessagePathAdvClick(Sender: TObject);
begin
  CreateMessagePathAdv(Memo1, chkAsXML.IsChecked);
end;

procedure TForm1.bCreateMessagePathClick(Sender: TObject);
begin
  CreateMessagePath(Memo1, chkAsXML.IsChecked);
end;

procedure TForm1.bMessageCreateAdvClick(Sender: TObject);
begin
  MessageCreateAdv(Memo1, chkAsXML.IsChecked);
end;

procedure TForm1.bMessageCreateClick(Sender: TObject);
begin
  MessageCreate(Memo1, chkAsXML.IsChecked);
end;

procedure TForm1.bParseCustomMessageClick(Sender: TObject);
begin
  ParseCustomMessage(Memo1);
end;

procedure TForm1.bParseCustomMessageWithPathClick(Sender: TObject);
begin
  ParseCustomMessageWithPath(Memo1);
end;

procedure TForm1.bParseMessageAdvClick(Sender: TObject);
begin
  ParseMessageAdv(Memo1, chkAsXML.IsChecked);
end;

procedure TForm1.bParseMessageClick(Sender: TObject);
begin
  ParseMessage(Memo1, chkAsXML.IsChecked);
end;

procedure TForm1.bParseMessagePathAdvClick(Sender: TObject);
begin
  ParseMessagePathAdv(Memo1, chkAsXML.IsChecked);
end;

procedure TForm1.bParseMessagePathClick(Sender: TObject);
begin
  ParseMessagePath(Memo1, chkAsXML.IsChecked);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  {$IF Defined(MACOS) or Defined(ANDROID)}
  BSHL7Library.LoadFromFile(TPath.GetHomePath+  TPath.DirectorySeparatorChar + 'BSHL722TRIAL.BSL');
  BSHL7Library.LoadFromFile(TPath.GetHomePath+  TPath.DirectorySeparatorChar + 'BSHL724TRIAL.BSL');
  {$ELSE}
  BSHL7Library.LoadFromFile('.\data\BSHL722TRIAL.BSL');
  BSHL7Library.LoadFromFile('.\data\BSHL724TRIAL.BSL');
  {$ENDIF}
end;

end.
